Foxit PDF RDK

Public Member Functions | List of all members
Task Class Reference

Represents a task with various states and operations. More...

Inheritance diagram for Task:

## Public Member Functions
| canCancel ()
| Checks if the task can be cancelled. More...
| cancel ()
| Cancels the task. Attempts to cancel the task if it is in a cancellable state.
| constructor ()
| Constructor for the Task class. Initializes a new instance of the Task.
| errorCode ()
| Gets the error code of the task. More...
| exeSuccess ()
| Checks if the task was executed successfully. More...
| extErrorCode ()
| Gets the extended error code of the task. More...
| finish ()
| Marks the task as finished. Completes the task and performs any necessary cleanup.
| getPriority ()
| Gets the current priority of the task. More...
| getStatus ()
| Gets the current status of the task. More...
| isCanceled ()
| Checks if the task has been cancelled. More...
| isModify ()
| Checks if the task has been modified. More...
| notify (result)
| Notifies about the result of the js funcion. More...
| prepare ()
| Prepares the task for execution. Performs any necessary setup before the task can be run.
| setErrorCode (error)
| Sets the error code for the task. More...
| setPriority (priority)
| Sets the priority of the task. More...
| setStatus (status)
| Sets the status of the task. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

Represents a task with various states and operations.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ canCancel()

Task.canCancel | ( |  | ) |

Checks if the task can be cancelled.

Returns
  {boolean} True if the task can be cancelled; otherwise, false.

## ◆ errorCode()

Task.errorCode | ( |  | ) |

Gets the error code of the task.

Returns
  {number} The current error code of the task.

## ◆ exeSuccess()

Task.exeSuccess | ( |  | ) |

Checks if the task was executed successfully.

Returns
  {boolean} True if the task was successful; otherwise, false.

## ◆ extErrorCode()

Task.extErrorCode | ( |  | ) |

Gets the extended error code of the task.

Returns
  {number} The extended error code, if any, of the task.

## ◆ getPriority()

Task.getPriority | ( |  | ) |

Gets the current priority of the task.

Returns
  {number} The current priority level of the task.

## ◆ getStatus()

Task.getStatus | ( |  | ) |

Gets the current status of the task.

Returns
  {number} The current status of the task.

## ◆ isCanceled()

Task.isCanceled | ( |  | ) |

Checks if the task has been cancelled.

Returns
  {boolean} True if the task has been cancelled; otherwise, false.

## ◆ isModify()

Task.isModify | ( |  | ) |

Checks if the task has been modified.

Returns
  {boolean} True if the task has been modified; otherwise, false.

## ◆ notify()

Task.notify | ( | result |  | ) |

Notifies about the result of the js funcion.

Parameters

  {boolean} | result - The result to be notified, such as success or failure.

## ◆ setErrorCode()

Task.setErrorCode | ( | error |  | ) |

Sets the error code for the task.

Parameters

  {number} | error - The error code to be set for the task.

## ◆ setPriority()

Task.setPriority | ( | priority |  | ) |

Sets the priority of the task.

Parameters

  {number} | priority - The new priority level for the task.

## ◆ setStatus()

Task.setStatus | ( | status |  | ) |

Sets the status of the task.

Parameters

  {number} | status - The new status to be set for the task.